# Hyperspectral Fourier-Mellin algorithm (HYFM)

## How to register

Run `./HYFM-reg` with the following parameters:

`./HYFM-reg <reference_image.raw> <target_image.raw> <image_width> <image_height> <number_bands>`

Outputs:

* Textual result in console: scale, angle of rotation, and shifts over x and y axis.
* Original band 0 of reference and target images in PGM format.
* Registered band 0 image in PGM format.
* Registered hyperspectral image in RAW format.

## Additional program

`rot_scal` allows to generate new target images with specific a scale and angle of rotation for testing the performance of the method.

Use:

`./rot_scal <image.raw> <scale> <angle>`

The output image is saved in the same directory with the name `rot_scal_out.raw`.

## Examples

Using Santa Barbara Line images:

`./HYFM-reg barbara_line_2013.raw barbara_line_2014.raw 769 1024 224`

Using Pavia University image:

1. `./rot_scal PaviaU.raw 2.0 90`
2. `./HYFM-reg PaviaU.raw ./rot_scal_out.raw 340 610 103`
